> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax rates (PMS)

> Returns a list of the tax rates



## OpenAPI

````yaml get /consumers/{consumer_id}/pms/taxes
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pms/taxes:
    get:
      tags:
        - Property Management System
        - Taxes
      summary: Get tax rates (PMS)
      description: Returns a list of the tax rates
      operationId: pms_get_taxes
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_PMSTaxRateItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pms
            - pms.read
            - pms.taxes
            - pms.taxes.read
components:
  schemas:
    ChiftPage_PMSTaxRateItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PMSTaxRateItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[PMSTaxRateItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    PMSTaxRateItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
          description: Label of the tax rate
          examples:
            - VAT 21%
        rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate
          description: Percentage of the tax rate
          examples:
            - 21
        is_city_tax:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is City Tax
          description: Indicates if the tax is a city tax (or tourist tax)
          examples:
            - false
      type: object
      required:
        - id
        - source_ref
      title: PMSTaxRateItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````